import { JavaObject } from '../../../java/lang/JavaObject';
export declare class OrtsteilKatalogEintrag extends JavaObject {
    id: number;
    ort_id: Number | null;
    ortsteil: String | null;
    sortierung: number;
    istSichtbar: boolean;
    istAenderbar: boolean;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): OrtsteilKatalogEintrag;
    static transpilerToJSON(obj: OrtsteilKatalogEintrag): string;
    static transpilerToJSONPatch(obj: Partial<OrtsteilKatalogEintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_kataloge_OrtsteilKatalogEintrag(obj: unknown): OrtsteilKatalogEintrag;
